% Runs some tests similar to the ones of Example 3.13 from
% Potts, D., Volkmer, T.
% Sparse high-dimensional FFT based on rank-1 lattice sampling.
% Submitted, 2015.

niter_r = 10;
nruns = 3; % number of repetitions

test3_2_sfft_algorithm_multipletests( 16, 1e-4, 'a1r1l', niter_r, nruns, 'test3_2_a1r1l_results.mat' );
% For the complete Example 3.13 Algorithm 1 (may take a very very long time):
% nruns = 10; test3_2_sfft_algorithm_multipletests( [64 64 64 64 64 2 4 8 16 32 64 128], [1e-2 1e-3 1e-4 1e-5 1e-6 1e-2 1e-3 1e-4 1e-4 3e-5 1e-5 3e-6], 'a1r1l', niter_r, nruns, 'test3_2_a1r1l_results.mat' );


test3_2_sfft_algorithm_multipletests( [16 64], [1e-4 1e-5], 'a2r1l', niter_r, nruns, 'test3_2_a2r1l_results.mat' );
% For the complete Example 3.13 Algorithm 2 (may take a very very long time):
% nruns = 10; test3_2_sfft_algorithm_multipletests( [64 64 64 64 64 2 4 8 16 32 64 128], [1e-2 1e-3 1e-4 1e-5 1e-6 1e-2 1e-3 1e-4 1e-4 3e-5 1e-5 3e-6], 'a2r1l', niter_r, nruns, 'test3_2_a2r1l_results.mat' );

print_test3_2( 'test3_2_a1r1l_results.mat' );
fprintf('\n');
print_test3_2( 'test3_2_a2r1l_results.mat' );
